package net.sourceforge.nattable.blink;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;

/**
 * This interface is used to determine whether a change requires a blink.  
 * This is a way to add thresholds to blinking.
 */
public interface IBlinkingCellResolver {
	
	/**
	 * @param oldValue
	 * @param newValue
	 * @return Possibly the config type associated with the blinking style.
	 */
	public String[] resolve(Object oldValue, Object newValue);
	
	public String[] resolve(LayerCell cell, IConfigRegistry configRegistry, Object oldValue, Object newValue);
	
}