package net.sourceforge.nattable.edit.config;

import net.sourceforge.nattable.edit.editor.AbstractEditErrorHandler;
import net.sourceforge.nattable.edit.editor.ICellEditor;
import net.sourceforge.nattable.edit.editor.IEditErrorHandler;

/**
 * Strategy class for conversion/validation failures.
 * If the entered value is not valid, it is simply discarded.
 * Only handles errors on commit. 
 * 
 * @author fipro
 */
public class DiscardValueErrorHandling extends AbstractEditErrorHandler {
	
	public DiscardValueErrorHandling() {
		super(null);
	}
	
	public DiscardValueErrorHandling(IEditErrorHandler underlyingErrorHandler) {
		super(underlyingErrorHandler);
	}
	
	@Override
	public void displayError(ICellEditor cellEditor, Exception e) {
		super.displayError(cellEditor, e);
		cellEditor.close();
	}

}
