package net.sourceforge.nattable.extension.glazedlists.groupBy;

import net.sourceforge.nattable.data.IColumnAccessor;

public class GroupByColumnAccessor<T> implements IColumnAccessor<Object> {

	private final IColumnAccessor<T> columnAccessor;

	public GroupByColumnAccessor(IColumnAccessor<T> columnAccessor) {
		this.columnAccessor = columnAccessor;
	}

	public Object getDataValue(Object rowObject, int columnIndex) {
		if (rowObject instanceof GroupByObject) {
			if (columnIndex == 0) {
				GroupByObject groupByObject = (GroupByObject) rowObject;
				return groupByObject.getValue();
			} else {
				return null;
			}
		} else {
			return columnAccessor.getDataValue((T) rowObject, columnIndex);
		}
	}

	public void setDataValue(Object rowObject, int columnIndex, Object newValue) {
		if (rowObject instanceof GroupByObject) {
			// do nothing
		} else {
			columnAccessor.setDataValue((T) rowObject, columnIndex, newValue);
		}
	}

	public int getColumnCount() {
		return columnAccessor.getColumnCount();
	}

}
