package net.sourceforge.nattable.layer.cell;

import net.sourceforge.nattable.config.CellConfigAttributes;
import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.data.convert.IDisplayConverter;

public class CellDisplayConversionUtils {

    public static String convertDataType(LayerCell cell, IConfigRegistry configRegistry) {
    	Object canonicalValue = cell.getDataValue();
    	Object displayValue;

        IDisplayConverter displayConverter = configRegistry.getConfigAttribute(
                CellConfigAttributes.DISPLAY_CONVERTER,
                cell.getDisplayMode(),
                cell.getConfigLabels().getLabels());

        if (displayConverter != null) {
        	displayValue = displayConverter.canonicalToDisplayValue(cell, configRegistry, canonicalValue);
        } else {
        	displayValue = canonicalValue;
        }
        
        return (displayValue == null) ? "" : String.valueOf(displayValue);
    }
}